import adminaudit
import preflight

from django.conf.urls import include, url
from django.contrib import admin
from django.contrib.auth.views import logout


admin.autodiscover()
adminaudit.audit_install()
preflight.autodiscover()

handler500 = 'webui.views.errors.server_error'
handler404 = 'webui.views.errors.page_not_found'

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^preflight/', include('preflight.urls')),
    url(r'', include('identityprovider.urls')),
    # Web UI
    url(r'', include('webui.urls')),
    # REST api
    url(r'^api/', include('api.urls')),
    # SAML support
    # Allow both with / and without
    # as the includes cannot start with a /
    # and both forms are allowed.
    # Making an optional via /? leads to incorrect reversing
    # of the included urls (misses the middle /)
    url(r'^\+saml', include('ubuntu_sso_saml.urls')),
    url(r'^\+saml/', include('ubuntu_sso_saml.urls')),

    url(r'^saml', include('ubuntu_sso_saml.urls')),
    url(r'^saml/', include('ubuntu_sso_saml.urls')),
    # OpenID views
    url(r'^openid/', include('django_openid_auth.urls')),
    url(r'^logout/$', logout, {'next_page': '/'}),
]
