from django.apps import AppConfig


class IdentityProviderAppConfig(AppConfig):
    name = 'identityprovider'
    verbose_name = 'Identity Provider'

    def ready(self):
        # Import here to ensure settings are already available.
        from identityprovider.utils import populate_password_blacklist
        populate_password_blacklist()

        # We need to force load our custom gargoyle conditions as gargoyle's
        # autodiscovery looks for "identityprovider.gargoyle" only,
        # but a file named "identityprovider/gargoyle.py" would in some cases
        # shadow the *real* gargoyle causing hard to debug import errors.
        from identityprovider import gargoyle_conditions  # noqa
        # Preflight's autodiscover will import modules named preflight,
        # but since ours is called preflight_checks, we need to import
        # it manually similar to what happened with gargoyle.
        from identityprovider import preflight_checks  # noqa
