from django.core.management.base import BaseCommand, CommandError

from identityprovider.models import EmailAddress
from identityprovider.models.const import AccountStatus


class Command(BaseCommand):

    help = ("Suspend an account identified by e-mail.")

    def add_arguments(self, parser):
        parser.add_argument('email')

    def handle(self, *args, **options):
        email = options['email']

        try:
            email = EmailAddress.objects.get(email=email)
        except EmailAddress.DoesNotExist:
            raise CommandError(
                "Account for email address {} not found".format(email))
        account = email.account
        account.status = AccountStatus.SUSPENDED
        account.save()

        print("Suspended account {} with email {}".format(account, email))
