from django.contrib import admin

from ubuntu_sso_saml.models import SAMLConfig


@admin.register(SAMLConfig)
class SAMLConfigAdmin(admin.ModelAdmin):

    list_display = (
        'displayname', 'acs_url', 'audience', 'prefer_canonical_email',
        'enabled',
    )
    list_filter = ('prefer_canonical_email', 'enabled')
    ordering = ('displayname',)
    search_fields = ('displayname', 'acs_url', 'audience')
