# Copyright 2016 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).
from collections import OrderedDict

from django.apps import AppConfig
from django.conf import settings


class UbuntuSsoSamlAppConfig(AppConfig):
    name = 'ubuntu_sso_saml'
    verbose_name = 'Ubuntu SSO SAML support'

    def ready(self):
        # Put the existing SAML2IDP setting in an OrderedDict so the code using
        # the setting gets a predictable order.
        # Order alphabetically by key.
        # NOTE subsequent additions will be recorded in the order in which they
        # were added, but in practice we have no code that adds to this setting
        # on the fly.
        ordered_remotes = OrderedDict(
            sorted(settings.SAML2IDP_REMOTES.items()))
        settings.SAML2IDP_REMOTES = ordered_remotes
