from identityprovider import tests


def find_cert_path(filename=None):
    """
    Find the right path to certificates
    """
    if filename:
        return tests.__path__[0] + '/cert/' + filename
    else:
        return tests.__path__[0] + '/cert/'


def cert_string_from_file(cert_filename):
    """
    Returns a string with contents of a PEM-format certificate read from file.

    Returns only the "meat" of the certificate, just the base64-encoded content
    without the BEGIN/END delimiter lines, all in a single-line string.
    """
    with open(cert_filename) as cert_file:
        cert_lines = cert_file.readlines()

    delimiters = ["-----BEGIN CERTIFICATE-----\n",
                  "-----END CERTIFICATE-----\n"]
    cert_lines = [l.strip() for l in cert_lines if l not in delimiters]

    return "".join(cert_lines)
