"""Tests for helper methods."""
from unittest import TestCase
from ubuntu_sso_saml.tests.helpers import (
    cert_string_from_file,
    find_cert_path,
)


class CertStringHelpersTestCase(TestCase):

    def setUp(self, *args, **kwargs):
        super(CertStringHelpersTestCase, self).setUp(*args, **kwargs)
        self.test_cert_file = find_cert_path("certificate.pem")

    def test_from_file(self):
        # Build the "meat" of the certificate for verification with
        # a slightly different algorithm than cert_string_from_file
        # (otherwise this test would be a tautology)
        expected = ""
        with open(self.test_cert_file) as cert_file:
            for line in cert_file:
                if "CERTIFICATE-----" not in line:
                    expected = expected + line.strip()

        cs = cert_string_from_file(self.test_cert_file)

        self.assertEqual(expected, cs)
