# Copyright 2012 Canonical Ltd. This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).
from django.conf.urls import url
from saml2idp.urls import deeplink_url_patterns

from ubuntu_sso_saml.views import (
    saml_begin,
    saml_init,
    saml_metadata,
    saml_process
)


urlpatterns = [
    url(r'^$', saml_begin, name='login_begin'),
    url(r'^process$', saml_process, name='login_process'),
    url(r'^metadata$', saml_metadata, name='saml-metadata'),
    url(r'^metadata/(?P<sp_id>\d+)$', saml_metadata, name='saml-metadata'),
]

# Automagically detect deep link URLs from settings:
urlpatterns += deeplink_url_patterns(
    r'^init/%s$',
    saml_init
)

urlpatterns += [
    url(r'^init/(?P<resource>.+)$', saml_init, name='login-init'),
]
