from __future__ import unicode_literals

from django import template
from django.utils.html import format_html
from django.utils.text import slugify

register = template.Library()


@register.simple_tag
def faq_title(title):
    slug = slugify(title)
    return format_html(
        '<h2 class="faq-q" id="{slug}">{title}</h2>', slug=slug, title=title)
