# Copyright 2018 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

from identityprovider.tests.utils import SSOBaseTestCase


class RobotsTxtTestCase(SSOBaseTestCase):

    def test_content_type_is_text_plain(self):
        response = self.client.get('/robots.txt')

        self.assertEqual(response.status_code, 200)
        self.assertEqual(response['Content-type'], 'text/plain')

    def test_contents(self):
        response = self.client.get('/robots.txt')

        self.assertEqual(response.status_code, 200)
        self.assertIn('User-agent: *', response.content)
        self.assertIn('Disallow: ', response.content)
