# Copyright 2010 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

from __future__ import unicode_literals

from django.shortcuts import render


class ErrorPage(object):
    def __init__(self, status, errormsg=None):
        self.template_name = '%s.html' % status
        self.status_code = status
        self.errormsg = errormsg

    def __call__(self, request, exception=None):
        oopsid = request.environ.get('oops.report', {}).get('id', None)
        atts = {
            'request': request,
            'oopsid': oopsid,
            'errormsg': self.errormsg,
        }
        return render(request,
                      self.template_name,
                      atts,
                      status=self.status_code)


server_error = ErrorPage(500)
page_not_found = ErrorPage(404)
